function clean = check_for_cleanness(j, learning_samples, observed_values, X_tilde, X_tilde_hat, lambda, F, f, gamma, variant)
    % For a given lambda, this function checks if the assumptions for clean
    % learning samples are given
    
    % First get gradients for all learning samples
    nabla_Q = zeros(size(learning_samples))';
    for i = 1:size(nabla_Q, 2)
        if ~variant
            nabla_Q(:, i) = get_gradient(i, learning_samples, observed_values, X_tilde, X_tilde_hat, lambda, F, f, gamma);
        else
            nabla_Q(:, i) = get_gradient_variant(i, learning_samples, observed_values, lambda, F, f, gamma);
        end
    end
    
    % Check for 1st condition (gradient of Q_j is non-zero)
    if norm(nabla_Q(:, j)) == 0
        clean = 0;
        return
    end
    
    % Check for 2nd condition (scalar products of Q_j and Q_i are zero)
    for i = 1:size(nabla_Q, 2)
        if i == j
            continue
        end
        if dot(nabla_Q(:, j), nabla_Q(:,i)) ~= 0
            clean = 0;
            return
        end
    end
    clean = 1;
end

