function [alpha, m, s] = estimate_frechet_parameter(X)
    % Estimates the Frchet parameter based on i.i.d. copies of the process
    % stored in X by maximum likelihood estimation
    
    % Replace zero values by very small values in order to be in the domain
    % of the Frchet distribution 
    for i = 1:length(X)
        if X(1,i)==0
            X(1,i) = 0.01;
        end
    end

    f = @(x, a, m, s) (a/s)*(((x-m)/s).^(-a-1)).*exp(-(((x-m)/s).^(-a))).*(x>m);
    params = mle(X, 'pdf', @(x,a,m,s) f(x,a,m,s), 'Start', [2,100,150]);
    
    alpha = params(1);
    m = params(2);
    s = params(3);
end

