close all
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Read time series from xlsx file (see example file for formatting
% specifics)
X = xlsread(strcat('EXAMPLE DATA/muc_annual_daily_maximum_rainfall.xlsx'));
% Start time, end time, time interval based on time series
t_start = 1;
t_end = length(X);
dt = 1;
T = length(t_start:dt:t_end);
% How far into the future to predict
forecast_horizon = 10;
% Cube length R of C_R 
R = 10;
% Penalty weight
gamma = 0.3;
% Threshold for termination of gradient descent
delta = 0.0001;
% Choose between variants with (0) or without bootstrapping (1)
variant = 1;
% Choose if cleaning of learning samples should be enabled (1) or not (0)
clean = 1;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Estimate Frechet parameters
[alpha_est, loc_est, shape_est] = estimate_frechet_parameter(X);

% Vector to store forecasts
X_hat = zeros(1, forecast_horizon);
% Make forecasts
for j = 1:forecast_horizon 
   X_hat(1,j) = extrapolation(X, t_start, t_end, dt, R, alpha_est, loc_est, shape_est, gamma, delta, j, variant, clean);
end

plot_forecast_results(X, X_hat)