function y = phi(lambda, learning_samples, observed_values, Y, F, gamma)
    % Calculates the function Phi
    y = 0;
    for hj = 1:size(learning_samples, 1)
        % X_hj is the observation that corresponds to forecast within the
        % next learning sample position-wise
        X_hj = observed_values(hj, 1);
        sub_sample = learning_samples(hj, :).';
        X_hat_hj = max(sub_sample.*lambda);

        y = y + 2*F(max(X_hj, X_hat_hj)) - F(X_hat_hj) + gamma*((1/3) - max(F(X_hat_hj), Y(hj)) + F(X_hat_hj)^2);
    end
end

