function y = phi_variant(lambda, learning_samples, observed_values, F, gamma)
    % Calculates the altered version of the function Phi
    
    y = 0;
    N = size(learning_samples, 1);
    for j = 1:N
        % X_j is the observation that corresponds to forecast within the
        % next learning sample position-wise
        X_j = observed_values(j, 1);
        sub_sample = learning_samples(j, :)';
        X_hat_j = max(sub_sample.*lambda);
        
        X_hat_sum = 0;
        for i = 1:j-1
           sub_sample_i = learning_samples(i,:)';
           X_hat_sum = X_hat_sum + F(max(max(lambda.*sub_sample), max(lambda.*sub_sample_i)));
        end
        y = y + 2*F(max(X_j, X_hat_j)) - F(X_hat_j) - gamma*F(X_hat_j)^2+ (gamma/N)*(F(X_hat_j)+2*X_hat_sum);
    end
end