function none = plot_forecast_results(X, X_hat)
    % Plots the forecast and the real process
    
    % Length of the data
    t1 = length(X);
    % Length of the forecasts
    t2 = length(X_hat);
    
    % Time spans of real time series and forecasts 
    ix = {1:t1, t1+1:t1+t2};
    % Real time series and forecasts
    iy = {X, X_hat};
    % Set color for real time series (b=blue) and forecasts (g=green)
    colors = 'bg';
    
    figure(1);

    hold on
    
    % Plot time series and forecasts
    plot2 = plot(1:t1+t2, cat(2,X,X_hat), 'color', 'g');
    plot1 = plot(1:t1, X, 'color', 'b');


    % Set labels
    XLabel = xlabel('t');
    YLabel = ylabel('Annual Daily Maximum Rainfall');
    legend1 = legend([plot1, plot2], 'Real Data', 'Forecast');

    set(gca, 'FontName', 'Helvetica')
    set([XLabel, YLabel], 'FontName', 'AvantGarde')
    set(legend1, 'Interpreter', 'latex', 'location', 'northeast')
    
    % Set XAxis ticks, e.g. years
    xtick = (1872:2032:10);

    % Set axis properties 
    set(gca, 'Box', 'off', 'TickDir', 'out',  'TickLength', [.02 .02],...
        'XMinorTick', 'on', 'YMinorTick', 'off', 'XGrid', 'on', ...
        'XColor', [.3 .3 .3], 'XTick', xtick, 'YColor', [.3 .3 .3], 'YTick',...
        0:ceil(max(X))/10:ceil(max(X)), 'LineWidth', 1)
    hold off
end

